{
  "swagger": "2.0",
  "info": {
    "title": "alipay.proto",
    "version": "version not set"
  },
  "tags": [
    {
      "name": "Alipay"
    },
    {
      "name": "Payment"
    },
    {
      "name": "Basic"
    },
    {
      "name": "Wechat"
    }
  ],
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {},
  "definitions": {
    "protobufAny": {
      "type": "object",
      "properties": {
        "@type": {
          "type": "string"
        }
      },
      "additionalProperties": {}
    },
    "rpcStatus": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    },
    "walletAlipayTradeAppPayReply": {
      "type": "object",
      "properties": {
        "payParam": {
          "type": "string",
          "title": "调起支付的参数"
        }
      }
    },
    "walletAlipayTradePagePayReply": {
      "type": "object",
      "properties": {
        "payUrl": {
          "type": "string",
          "title": "支付链接"
        }
      }
    },
    "walletAlipayTradeWapPayReply": {
      "type": "object",
      "properties": {
        "payUrl": {
          "type": "string",
          "title": "支付链接"
        }
      }
    },
    "walletAlipayUniTransferReply": {
      "type": "object"
    },
    "walletBankCardInfo": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64"
        },
        "bankNumber": {
          "type": "string",
          "title": "银行卡号"
        },
        "bankName": {
          "type": "string",
          "title": "银行名"
        },
        "cardOwner": {
          "type": "string",
          "title": "持卡人姓名"
        },
        "idCard": {
          "type": "string",
          "title": "持卡人身份证号"
        },
        "phone": {
          "type": "string",
          "title": "银行预留的手机号"
        },
        "bindId": {
          "type": "string",
          "title": "绑定银行卡返回的绑定id"
        },
        "bankType": {
          "type": "string",
          "title": "银行卡类型 DC为储蓄卡，CC为信用卡"
        },
        "bank": {
          "type": "string",
          "title": "银行卡所属行"
        },
        "created": {
          "type": "string",
          "title": "添加日期"
        }
      }
    },
    "walletCallBackReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string",
          "title": "错误码，SUCCESS为清算机构接收成功，FAIL错误码为失败。"
        },
        "message": {
          "type": "string",
          "title": "返回信息"
        }
      }
    },
    "walletGetBankCardReply": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/walletBankCardInfo"
          }
        }
      }
    },
    "walletGetWalletReply": {
      "type": "object",
      "properties": {
        "passportIdentity": {
          "type": "string",
          "title": "用户唯一标识"
        },
        "walletIdentity": {
          "type": "string",
          "title": "钱包唯一标识"
        },
        "balance": {
          "type": "string",
          "format": "int64",
          "title": "余额"
        },
        "withdrawalBalance": {
          "type": "string",
          "format": "int64",
          "title": "可提现余额"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "状态 -1禁用，1：正常"
        },
        "alipayId": {
          "type": "string",
          "title": "支付宝ID"
        },
        "alipayName": {
          "type": "string",
          "title": "支付宝账户名"
        },
        "wxpayId": {
          "type": "string",
          "title": "微信ID"
        },
        "wxpayName": {
          "type": "string",
          "title": "微信支付账户名"
        },
        "total": {
          "type": "object",
          "additionalProperties": {
            "type": "string",
            "format": "int64"
          },
          "title": "统计数据输出"
        },
        "created": {
          "type": "string",
          "title": "创建时间"
        }
      }
    },
    "walletPaymentItem": {
      "type": "object",
      "properties": {
        "orderNo": {
          "type": "string",
          "title": "订单号"
        },
        "tradeNo": {
          "type": "string",
          "title": "第三方交易流水号"
        },
        "type": {
          "type": "integer",
          "format": "int32",
          "title": "类型:1充值;2支付电商订单"
        },
        "payChannel": {
          "type": "integer",
          "format": "int32",
          "title": "支付模型：WECHAT，ALIPAY,BALANCE"
        },
        "payType": {
          "type": "string",
          "title": "支付类型 JSAPI:微信浏览器内支付 APP:app支付  MINI:小程序  NATIVE:Native支付,pc端生成二维码供用户扫码支付,QUICK_MSECURITY_PAY:app支付 QUICK_WAP_WAY:手机网站支付 FAST_INSTANT_TRADE_PAY:pc网站支付"
        },
        "amount": {
          "type": "string",
          "format": "int64",
          "title": "充值金额 单位为分"
        },
        "args": {
          "type": "string",
          "title": "相关参数"
        },
        "status": {
          "type": "integer",
          "format": "int32",
          "title": "支付状态"
        }
      }
    },
    "walletPaymentReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string",
          "format": "int64"
        },
        "result": {
          "type": "object",
          "additionalProperties": {
            "type": "string"
          },
          "title": "预支付返回"
        }
      }
    },
    "walletStatusReply": {
      "type": "object",
      "properties": {
        "code": {
          "type": "integer",
          "format": "int32",
          "title": "状态码"
        },
        "message": {
          "type": "string",
          "title": "状态说明"
        },
        "details": {
          "type": "string",
          "title": "数据"
        },
        "timeseq": {
          "type": "string",
          "format": "int64",
          "title": "响应时间序列"
        }
      }
    },
    "walletTransaction": {
      "type": "object",
      "properties": {
        "transType": {
          "type": "integer",
          "format": "int32",
          "title": "收支类型：-1支出，1：收入"
        },
        "tradeType": {
          "type": "integer",
          "format": "int32",
          "title": "交易类型：1：充值，2：提现，3：消费，4：退款，5：收益"
        },
        "inTradeNo": {
          "type": "string",
          "title": "内部流水号"
        },
        "outTradeNo": {
          "type": "string",
          "title": "外部流水号，eg：微信、支付宝、银行等"
        },
        "money": {
          "type": "string",
          "format": "int64",
          "title": "交易金额，单位：分"
        },
        "fee": {
          "type": "string",
          "format": "int64",
          "title": "手续费，单位：分"
        },
        "payChannel": {
          "type": "integer",
          "format": "int32",
          "title": "支付模型：WECHAT，ALIPAY,BALANCE"
        },
        "payType": {
          "type": "string",
          "title": "支付类型 JSAPI:微信浏览器内支付 APP:app支付  MINI:小程序  NATIVE:Native支付,pc端生成二维码供用户扫码支付,QUICK_MSECURITY_PAY:app支付 QUICK_WAP_WAY:手机网站支付 FAST_INSTANT_TRADE_PAY:pc网站支付"
        },
        "created": {
          "type": "string",
          "title": "创建时间"
        },
        "remark": {
          "type": "string",
          "title": "备注信息"
        }
      }
    },
    "walletTransactionsReply": {
      "type": "object",
      "properties": {
        "total": {
          "type": "string",
          "format": "int64",
          "title": "总记录数"
        },
        "records": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/walletTransaction"
          },
          "title": "数据"
        }
      }
    },
    "walletWayItem": {
      "type": "object",
      "properties": {
        "ident": {
          "type": "string",
          "title": "支付通道标识"
        },
        "title": {
          "type": "string",
          "title": "支付通道标题"
        },
        "intro": {
          "type": "string",
          "title": "支付通道说明"
        },
        "args": {
          "type": "string",
          "title": "支付通道相关参数"
        }
      }
    },
    "walletWayReply": {
      "type": "object",
      "properties": {
        "way": {
          "type": "array",
          "items": {
            "type": "object",
            "$ref": "#/definitions/walletWayItem"
          },
          "title": "支付通道列表"
        }
      }
    },
    "walletWxCallBackResource": {
      "type": "object",
      "properties": {
        "originalType": {
          "type": "string"
        },
        "algorithm": {
          "type": "string"
        },
        "ciphertext": {
          "type": "string"
        },
        "associatedData": {
          "type": "string"
        },
        "nonce": {
          "type": "string"
        }
      }
    },
    "walletWxCallBackSignInfo": {
      "type": "object",
      "properties": {
        "transactionId": {
          "type": "string"
        },
        "actCode": {
          "type": "string"
        },
        "hallCode": {
          "type": "string"
        },
        "hallBelongMchId": {
          "type": "string",
          "format": "int64"
        },
        "cardId": {
          "type": "string"
        },
        "code": {
          "type": "string"
        },
        "activityId": {
          "type": "string"
        }
      }
    },
    "walletWxpayAppPreOrderReply": {
      "type": "object",
      "properties": {
        "prepayId": {
          "type": "string",
          "title": "预支付ID，两小时有效"
        },
        "appId": {
          "type": "string",
          "title": "微信app_id"
        },
        "mchId": {
          "type": "string",
          "title": "商户号，用以调起支付"
        }
      }
    },
    "walletWxpayJSAPIPreOrderReply": {
      "type": "object",
      "properties": {
        "prepayId": {
          "type": "string",
          "title": "预支付ID，两小时有效"
        },
        "appId": {
          "type": "string",
          "title": "微信app_id"
        },
        "timestamp": {
          "type": "string",
          "title": "时间戳"
        },
        "nonceStr": {
          "type": "string",
          "title": "随机字符串"
        },
        "signType": {
          "type": "string",
          "title": "签名方式"
        },
        "sign": {
          "type": "string",
          "title": "签名串"
        }
      }
    },
    "walletWxpayNativePreOrderReply": {
      "type": "object",
      "properties": {
        "codeUrl": {
          "type": "string",
          "title": "二维码URL"
        }
      }
    },
    "walletWxpayTransferReply": {
      "type": "object"
    }
  }
}
